Subject: Re: [bug#38110] [PATCH core-updates v3] gnu: rust: Bootstrap [email-masked] by [email-masked].

From: Marius Bakke <[email-masked]>
Date: Tue, 24 Mar 2020 15:45:32 +0100

Danny Milosavljevic <[email-masked]> writes:

> Hi Marius,
>
> On Mon, 23 Mar 2020 23:16:07 +0100
> Marius Bakke <[email-masked]> wrote:
>
>> > Building rust, I get a texinfo build failure:
>
>> How are you building Rust?  I've only used the Guix package definition
>> and did not get as far as actually running the test suite.  Do you have
>> an updated build script?
>
> It's failing in texinfo, not in rust.

Oh right, sorry for the confusion.

> Also, on my laptop, it's not failing in texinfo.  So I guess it has
> something to do with bayfront or the machines it offloads to.

I haven't seen this in the countless times I've built core-updates over
the last few months, nor on Berlin.  I suspect it has to do with
parallelism; can you see if #:parallel-tests? #f makes a difference?

You should be able to grab a Texinfo substitute from ci.guix.gnu.org
though.